module.exports = {
  create: {
    requestBody: ['person_limit', 'shop', 'goods', 'goodsSpec', 'leader', 'persons', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['person_limit', 'shop', 'goods', 'goodsSpec', 'leader', 'persons', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        goods: 'goods._id',
        goodsSpec: 'goodsSpec._id',
        person: 'persons.customer',
        leader: 'leader',
        status: 'status',
      },
      // options: {
      //   'persons.status': '0', // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  getGroup: {
    parameters: {
      query: {
        order_id: 'order_id',
      },
    },
  },
};
