module.exports = {
  create: {
    requestBody: ['sort', 'source', 'url', 'act_tags', 'shop', 'name', 'shot_brief', 'send_time', 'brief', 'file', 'tags', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['sort', 'source', 'url', 'act_tags', 'shop', 'name', 'shot_brief', 'send_time', 'brief', 'file', 'tags', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        name: '%name%',
        status: 'status',
        view_num: 'view_num',
        tags: 'tags',
        act_tags: 'act_tags',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['sort', 'meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  toDuplicate: {
    params: ['!id'],
  },
};
