module.exports = {
  create: {
    requestBody: ['orderDetail', 'customer', 'shop', 'goods', 'goodsSpec', 'reply', 'goods_score', 'shop_score', 'transport_score'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['orderDetail', 'customer', 'shop', 'goods', 'goodsSpec', 'reply', 'goods_score', 'shop_score', 'transport_score'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        customer: 'customer',
        shop: 'shop',
        goods: 'goods',
        goodsSpec: 'goodsSpec',
        orderDetail: 'orderDetail',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
