module.exports = {
  create: {
    requestBody: ['customer', 'shop', 'goods', 'goodsSpec', 'num'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['customer', 'shop', 'goods', 'goodsSpec', 'num'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        customer: 'customer',
        shop: 'shop',
        goods: 'goods',
        goodsSpec: 'goodsSpec',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  selfCart: {
    parameters: {
      query: {
        customer: 'customer',
      },
    },
  },
  checkGoodsNum: {
    parameters: {
      query: {
        cartId: 'cartId',
        goodsSpecId: 'goodsSpecId',
        num: 'num',
      },
    },
  },
};
