module.exports = {
  create: {
    requestBody: [
      'issue',
      'shop',
      'name',
      'expire_type',
      'expire_config',
      'discount_type',
      'discount_config',
      'use_limit',
      'use_limit_config',
      'get_limit',
      'get_limit_config',
      'num',
      'status',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'issue',
      'shop',
      'name',
      'expire_type',
      'expire_config',
      'discount_type',
      'discount_config',
      'use_limit',
      'use_limit_config',
      'get_limit',
      'get_limit_config',
      'num',
      'status',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        name: 'name',
        expire_type: 'expire_type',
        discount_type: 'discount_type',
        use_limit: 'use_limit',
        get_limit: 'get_limit',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  userView: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        name: 'name',
        expire_type: 'expire_type',
        discount_type: 'discount_type',
        use_limit: 'use_limit',
        get_limit: 'get_limit',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
