module.exports = {
  create: {
    requestBody: ['email', 'account', 'password', 'name', 'role', 'shop'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['email', 'account', 'password', 'name', 'role', 'shop'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        account: 'account',
        shop: 'shop',
        role: 'role',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ['!account', '!password'],
  },
  resetPwd: {
    params: ['!id'],
    requestBody: ['!password'],
  },
  emailResetPwd: {
    requestBody: ['!account'],
  },
};
