module.exports = {
  create: {
    requestBody: ['customer', 'point', 'time', 'status', 'source', 'source_id'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['customer', 'point', 'time', 'status', 'source', 'source_id'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        customer: 'customer',
        status: 'status',
        source_id: 'source_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  computedTotal: {
    parameters: {
      query: {
        customer: 'customer',
      },
    },
  },
};
