module.exports = {
  create: {
    requestBody: ['customer', 'goods', 'time'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['customer', 'goods', 'time'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        customer: 'customer',
        goods: 'goods',
        'time@start': 'time@start',
        'time@end': 'time@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['time'],
      desc: true,
      count: true,
    },
  },
  check: {
    parameters: {
      query: {
        customer: 'customer',
        goods: 'goods',
      },
    },
  },
  userView: {
    parameters: {},
    options: {
      query: ['skip', 'limit'],
      sort: ['time'],
      desc: true,
      count: true,
    },
  },
};
