'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 字典内容
const dictData = {
  label: { type: String, required: false, zh: '显示内容' }, //
  value: { type: String, required: false, zh: '值' }, //
  sort: { type: Number, required: false, default: 1, zh: '排序' }, //
  code: { type: String, required: false, zh: '目录编码' }, //
  status: { type: String, required: false, default: '0', zh: '状态' }, // 0:正常;1停用
};
const schema = new Schema(dictData, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ label: 1 });
schema.index({ value: 1 });
schema.index({ code: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('DictData', schema, 'dictData');
};
