'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 角色表
const role = {
  name: { type: String, required: false, zh: '名称' }, //
  brief: { type: String, required: false, zh: '简介' }, //
  menu: { type: Object, required: false, zh: '菜单权限' }, // mode: all:超级管理员,所有权限/select:选择的权限
  code: { type: String, zh: '编码' },
  status: { type: String, required: false, zh: '状态', default: '0' }, // 0:正常;1停用
};
const schema = new Schema(role, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ name: 1 });
schema.index({ code: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Role', schema, 'role');
};
