'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 参加平台活动商品
const goodsJoinAct = {
  platformAct: { type: String, required: false, zh: '平台活动', ref: 'System.PlatformAct' }, //
  shop: { type: String, required: false, zh: '店铺', ref: 'Shop.Shop' }, //
  goods: { type: String, required: false, zh: '商品', ref: 'Shop.Goods' }, //
  status: { type: String, required: false, default: '0', zh: '状态' }, // 字典:platformAct_goods_status
};
const schema = new Schema(goodsJoinAct, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ platformAct: 1 });
schema.index({ shop: 1 });
schema.index({ goods: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('GoodsJoinAct', schema, 'goodsJoinAct');
};
