'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 商品标签
const goodsTags = {
  label: { type: String, required: false, zh: '显示名称' }, //
  code: { type: String, required: false, zh: '标签编码' }, //
  sort: { type: Number, default: 0, required: false, zh: '排序' }, //
  pid: { type: String, required: false, zh: '上级标签' }, //
  level: { type: Number, required: false, zh: '层级' }, //
  status: { type: String, required: false, default: '0', zh: '状态' }, // 字典status
  file: { type: Array, required: false, zh: '图片' }, //
  tags_file: { type: Array, required: false, zh: '大图' }, //
};
const schema = new Schema(goodsTags, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ label: 1 });
schema.index({ code: 1 });
schema.index({ sort: 1 });
schema.index({ pid: 1 });
schema.index({ level: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('GoodsTags', schema, 'goodsTags');
};
