'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const jwt = require('jsonwebtoken');

// jsonWebToken处理
class JwtService extends CrudService {
  constructor(ctx) {
    super(ctx, 'jwt');
  }

  encrypt(data) {
    const { secret } = this.config.jwt;
    const token = jwt.sign(JSON.stringify(data), secret);
    return token;
  }
  decode(token) {
    const data = jwt.decode(token);
    return data;
  }
}

module.exports = JwtService;
