'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'statistics/admin';
const ckey = 'statistics.admin';
const keyZh = '中台统计';
const routes = [
  { method: 'get', path: `${rkey}/todo`, controller: `${ckey}.todo`, name: `${ckey}Todo`, zh: `${keyZh}待办查询` },
  { method: 'get', path: `${rkey}/stockWarning`, controller: `${ckey}.stockWarning`, name: `${ckey}stockWarning`, zh: `${keyZh}库存警告` },
  { method: 'get', path: `${rkey}/notDealAfterSale`, controller: `${ckey}.notDealAfterSale`, name: `${ckey}notDealAfterSale`, zh: `${keyZh}未处理售后` },
  { method: 'get', path: `${rkey}/notSend`, controller: `${ckey}.notSend`, name: `${ckey}notSend`, zh: `${keyZh}未发货` },
  { method: 'get', path: `${rkey}/notPay`, controller: `${ckey}.notPay`, name: `${ckey}notPay`, zh: `${keyZh}未付款订单数` },
  { method: 'get', path: `${rkey}/makeOrder`, controller: `${ckey}.makeOrder`, name: `${ckey}makeOrder`, zh: `${keyZh}统计支付订单` },
  { method: 'get', path: `${rkey}/makeAfterSale`, controller: `${ckey}.makeAfterSale`, name: `${ckey}makeAfterSale`, zh: `${keyZh}售后数` },
  { method: 'get', path: `${rkey}/sellTotal`, controller: `${ckey}.sellTotal`, name: `${ckey}sellTotal`, zh: `${keyZh}查询销售额` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
