'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'order';
const ckey = 'trade.order';
const keyZh = '总订单';
const routes = [
  { method: 'post', path: `${rkey}/cancel`, controller: `${ckey}.cancel`, name: `${ckey}cancel`, zh: '取消订单' },
  { method: 'post', path: `${rkey}/toMakeOrder`, controller: `${ckey}.toMakeOrder`, name: `${ckey}toMakeOrder`, zh: '组织下单页数据' },
  { method: 'post', path: `${rkey}/fromGoodsToOrder`, controller: `${ckey}.fromGoodsToOrder`, name: `${ckey}fromGoodsToOrder`, zh: '直接购买' },
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'get', path: `${rkey}/:id`, controller: `${ckey}.show`, name: `${ckey}Show`, zh: `${keyZh}查询` },
  { method: 'post', path: `${rkey}`, controller: `${ckey}.create`, name: `${ckey}Create`, zh: `创建${keyZh}` },
  { method: 'post', path: `${rkey}/:id`, controller: `${ckey}.update`, name: `${ckey}Update`, zh: `修改${keyZh}` },
  // { method: 'delete', path: `${rkey}/:id`, controller: `${ckey}.destroy`, name: `${ckey}Delete`, zh: `删除${keyZh}` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
